Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class ObjectMemorySerializer.ControlBlock

    java.lang.Object
      com.sun.squawk.ObjectMemorySerializer.ControlBlock

Enclosing class:
  ObjectMemorySerializer

    public static final class ObjectMemorySerializer.ControlBlock

extends Object

A ControlBlock instance is used to pass parameters in both directions when calling the `copyObjectGraph` low level routine that serializes an object graph.

Field Summary
`byte[]` | `memory` The buffer containing the serialized object graph.
`BitSet` | `oopMap` The oop map that describes which words in the serialized graph are pointers.
`int` | `root` The offset in the serialized graph to the root of the graph.
`Address` | `start` The address to which the pointers in `memory` are relative before they are relocated to canonical addresses.

Constructor Summary
`ObjectMemorySerializer.ControlBlock()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### memory

    public byte[] memory

  The buffer containing the serialized object graph.

### start

    public Address start

  The address to which the pointers in `memory` are relative before they are relocated to canonical addresses.

### oopMap

    public BitSet oopMap

  The oop map that describes which words in the serialized graph are pointers.

### root

    public int root

  The offset in the serialized graph to the root of the graph.

Constructor Detail

### ObjectMemorySerializer.ControlBlock

    public ObjectMemorySerializer.ControlBlock()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"